Package org.eclipse.jface.widgets

# Interface WidgetSupplier<W extends Widget,P extends Widget>

Type Parameters:
  `W` - the type of the widget to be created
  `P` - the type of the parent the widget should be created in

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@NoImplement @NoExtend @FunctionalInterface public interface WidgetSupplier<W extends Widget,P extends Widget>
Represents a supplier for widgets. Used to create a Widget (e.g. Button) in a given parent Widget (e.g. Composite)

This is a functional interface whose functional method is `create(Widget)`.

Since:
  3.18

## Method Summary

Modifier and Type
Method
Description
`W`
`create(P parent)`

## Method Details

### create

W create(P parent)

Parameters:
  `parent` - widget
Returns:
  the created widget